---
title: "Add a recipient to a saved report's e-mails"
type: reference
method: POST
path: /rest-api/saved-reports/{id}/recipients.do
tag: "Analytics"
---

# Add a recipient to a saved report's e-mails

`POST https://YOUR-NETWORK-DOMAIN/rest-api/saved-reports/{id}/recipients.do`

Adds an e-mail address the scheduled report is also mailed to, besides the caller. An address already on the list is not added twice.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `id` | integer | yes | `42` | Saved report id |

## Form params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `email` | string | no | `reports@northwind.example` | E-mail address |

## Responses

- `200` — The saved report with its recipients, in the shape of the GET
- `400` — email is missing or not an e-mail address
- `401` — Authentication error
- `403` — Forbidden — insufficient permissions
- `404` — No saved report of the caller has this id

## Example request

```bash
curl --request POST \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/saved-reports/42/recipients.do' \
  --header 'X-Api-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data-urlencode 'email=reports@northwind.example'
```

Source: https://epom.com/ad-server/docs/api/analytics/post-saved-reports-recipients